.BackButton {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 12px 20px;
    gap: 10px;

    background: #f7f7f7;
    border: none;
    border-radius: 12px;
    cursor: pointer;

    text-align: center;
    font-weight: 500;
    color: #373745;
}

.BackButton:hover {
    background: #dcdcdf;
}

.BackButton:disabled {
    cursor: default;
    background: #f7f7f7;
    opacity: 0.3;
}